---
created: 2025-02-14T19:44:12.569Z
updated: 2025-02-14T19:44:12.564Z
assigned: ""
progress: 0
tags: []
started: 2025-02-14T19:44:12.569Z
---

# Mermaid Diagram

- bierner.markdown-mermaid
- catbraaain.mermaid-language
- ~~mermaidchart.vscode-mermaid-chart~~

```bash 1741383372884 = 638769801728840000 = 2025-0.Winter = Fri Mar 07 2025 14:36:12 GMT-0700 (Mountain Standard Time)
mmdc -i "L:\DevOps\EAF-Mesa-Integration\documents\mermaid-diagram.template.md" -o "L:\DevOps\EAF-Mesa-Integration\documents\readme.md" -t dark -b black
# L:\DevOps\EAF-Mesa-Integration\documents\readme.result-1.svg
```

## Metrology (18)

### nPort (8 / 18 * 100 = 44.4) 44%

- tencor1
- tencor2
- tencor3
- hgcv1
- hgcv2
- hgcv3
- biorad2
- biorad3

### Fileshare (4 / 18 * 100 = 22.2) 22%

- sp1
- srp
- trend
- particles

### http (5 / 18 * 100 = 27.7) 28%

- cde4
- cde5
- cde6
- stratus4
- stratus5

### SECS/GEM (1 / 18 * 100 = 5.5) 6%

- spv

### CSV Loop (11 / 18 * 100 = 61.1) 61%

- tencor1
- tencor2
- tencor3
- hgcv1
- hgcv2
- hgcv3
- biorad2
- biorad3
- cde4
- cde5
- cde6

```mermaid
flowchart LR
  1.spc("InfinityQS (SPC)")
  2.mes("OI (MES)")
  3.fdc("FDC (APC)")
  4.site("ENG Viewer (Web)")
  1.nPort("nPort")
  2.http("http via nginx")
  3.fileshare("Fileshare host
    or common")
  4.secsgem("SECS/GEM")
  eaf(EAF)
  eaf.b(EAF Second Instance)
  eda(EDA)
  eng(Engineering Team)
  equipment[Equipment]
  file("File-share")
  md("OI (Master Data)")
  tibco(TIBCO)
  subgraph "Process Data Standard Format (PDSF)"
    1.nPort      -->                                                           |"44%"| eaf
    2.http      -.->                                                           |"28%"| eaf
    3.fileshare -.->                                                           |"22%"| eaf
    4.secsgem   -.->                                                            |"6%"| eaf
    eaf         -.-> |"61% Parse with tool logic but without business logic to *.csv"| eaf.b
    eaf.b       -.->                                                                   eaf
    eaf         --->                                              |"Data as event(s)"| eda
    eda        ---->                                                  |"Write *.pdsf"| file
    eda        ---->                                                  |"Write *.pdsf"| file
    eda        ---->                                                  |"Write *.pdsf"| file
    eda        ---->                                                  |"Write *.pdsf"| file
    eda          -->                                           |"Request Master Data"| tibco
    tibco       -.->                                             |"Reply Master Data"| eda
    eng          -->                                                |"Business logic"| eda
    equipment    -->                                                           |"44%"| 1.nPort
    equipment   -.->                                                            |"6%"| 4.secsgem
    equipment   -.->                                                           |"22%"| 3.fileshare
    equipment   -.->                                                           |"28%"| 2.http
    file       ---->                                                   |"Read *.pdsf"| 1.spc
    file       ---->                                                   |"Read *.pdsf"| 2.mes
    file       ---->                                                   |"Read *.pdsf"| 3.fdc
    file       ---->                                                   |"Read *.pdsf"| 4.site
    md          -.->                                        |"Reply with Master Data"| tibco
    tibco        -->                                      |"Request with Master Data"| md
  end
  subgraph "EAF / EDA / TIBCO / FDC / OI (Master Data) / OI (Metrology)"
  end
```
